Subject: Re: linux-next: manual merge of the kselftest tree with the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 3 Nov 2023 09:21:34 +1100

Hi all,

On Thu, 19 Oct 2023 16:33:10 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kselftest tree got a conflict in:
> 
>   tools/testing/selftests/clone3/clone3.c
> 
> between commit:
> 
>   fc7f04dc23db ("selftests/clone3: Fix broken test under !CONFIG_TIME_NS")
> 
> from the mm-hotfixes tree and commit:
> 
>   34dce23f7e40 ("selftests/clone3: Report descriptive test names")
> 
> from the kselftest tree.
> 
> I fixed it up (I used this file from the latter commit) and can carry the
> fix as necessary. This is now fxed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

This is now a conflict between the mm-hotfixes tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell